{% extends 'base.html' %}
{% block content%}
{% if category_posts %}

    <h1 class="text-4xl ">{{ cats}}</h1>

    <ul class="divide-y divide-black-500 bg-gray-300">
        {% for post in category_posts %}
        <li class="text-xl  tex}t-gray-700"> <a href="{% url 'article_det' post.pk %}" class="text-blue-600"> {{post.title}}
            </a>
            - {{post.author.first_name}} {{post.author.last_name}} -
            {% if user.is_authenticated %}
                {%if user.id == post.author.id%}
                    <a href="{% url 'update_post' post.pk %}" class="text-slate-500 hover:text-blue-600">Izmijenite ovaj post</a>
                    - <a href="{% url 'delete_post' post.pk %}" class="text-slate-500 hover:text-blue-600">Obrisite ovaj post</a>
                {%endif%}
            {%endif%}
            <br>
            {{post.body|slice:":100"|safe}}
        </li>
        {% endfor%}
    </ul>
{%else%}
<h1>Ova kategorija nema postova jos..</h1>
{%endif%}
{% endblock %}